<?
header("Content-Type: application/xhtml+xml; charset=utf8");
use_helper('UrlFunctions');
use_helper('UtilFunctions');
$o_ObjectBean = new ClienteBean();

if(!$page) $page = 1;
//print_r($_GET);
$tamanioPag = 15;
//COLOCAR CAMPOS DE LA CABECERA DEL LISTADO 

$o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
$o_ArArqueoDetalleDepositoFN->setIdclase("DEPOSITO");
$o_ArArqueoDetalleDepositoFN->setIdsucursal($cboSucursal);
$o_ArArqueoDetalleDepositoFN->setIdmercado($cboMercado);
$o_ArArqueoDetalleDepositoFN->setIdbanco($IdBanco);
$o_ArArqueoDetalleDepositoFN->setIdcuenta($IdCuenta);
$o_ArArqueoDetalleDepositoFN->setFechadeposito($FechaCreacionInicial);
$o_ArArqueoDetalleDepositoFN->setFechadepositofinal($FechaCreacionFinal);
$o_ArArqueoDetalleDepositoFN->setFecharegistro($FechaTraInicial);
$o_ArArqueoDetalleDepositoFN->setFecharegistrofinal($FechaTraFinal);
$o_ArArqueoDetalleDepositoFN->setEstado($txtEstado);
//$o_ArArqueoDetalleDepositoFN->setIdcolaborador($idColaborador);
//$o_ArArqueoDetalleDepositoFN->setFecha($fechaBalanceAbierto);
/*
$o_ArArqueoDetalleDepositoFN->page = $page;
$o_ArArqueoDetalleDepositoFN->tamPag = $tamanioPag;
$o_ArArqueoDetalleDepositoFN->sortCampos = "Fecharegistro";
$o_ArArqueoDetalleDepositoFN->sortType   = "2";
*/
$o_ArArqueoDetalleDepositoFN->addOrderBy(ArArqueoDetalleDepositoFN::Fecharegistro,false);

$a_o_ArArqueoDetalleDepositoBN = $o_ArArqueoDetalleDepositoFN->select($tamanioPag*($page-1),$tamanioPag);

$totalreg = $o_ArArqueoDetalleDepositoFN->selectNumRows();
$sumareg = $o_ArArqueoDetalleDepositoFN->selectSumaRows();


$o_navigation = new navigation();
$o_navigation->setPaginaActual($page);
$o_navigation->setTamanioPagina($tamanioPag);
$o_navigation->setTotalRegistros($o_ArArqueoDetalleDepositoFN->selectNumRows());
$valuesSort = array('sortCampos'=>$sortCampos, 'sortType'=>$sortType);





ViewResponse::getInstance()->setMethodAjax();

?>
<script>
functionSort = function(campo, type){
  var typeSort      = "";
  var elmSortCampos = $('sortCampos');
  var elmSortType   = $('sortType');
  var a_sortCampos  = elmSortCampos.value!=""?elmSortCampos.value.split(";"):[];
  var a_sortType    = elmSortType.value!=""?elmSortType.value.split(";"):[];
  var pos           = a_sortCampos.indexOf(campo);
  switch (type){
     case 'A' :
       a_sortType[pos]    = "2";
     break;
     case 'D' :
       a_sortCampos = sliceByPos(a_sortCampos, pos);
       a_sortType   = sliceByPos(a_sortType, pos);
     break;
     default :
       a_sortCampos[a_sortCampos.length] = campo;
       a_sortType[a_sortType.length]     = "1";
     break;
  }
  var strSortCampos = a_sortCampos.join(";");
  var strSortType   = a_sortType.join(";");
  concatValueStr('sortCampos='+strSortCampos+'&sortType='+strSortType+"&page=<?=$page?>");
}
</script>

<?php

$strConcat = "sortCampos=".$valuesSort['sortCampos']."&sortType=".$valuesSort['sortType'];

function showImgOrder($valuesSort, $campo, $nameCampos){
  $a_valCampos = explode(";", $valuesSort['sortCampos']);
  $a_valtype   = explode(";", $valuesSort['sortType']);
  $sImg = "
            <a href=\"JavaScript:functionSort('".$campo."', '');\">".$nameCampos."</a>
            <img src=\"/images/common/buttons/arrow.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
          ";
  foreach ($a_valCampos as $key => $val){
    if($val == $campo){
      switch ($a_valtype[$key]){
        case 1:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'A');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_up.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
        case 2:
          $sImg = "
                    <a href=\"JavaScript:functionSort('".$campo."', 'D');\">".$nameCampos."</a>
                    <img src=\"/images/common/buttons/arrow_down.gif\" alt=\"Ordenado Ascendente\" width=\"8\" height=\"10\" align=\"absmiddle\" />
                  ";
        break;
      }
    }
  };
  return $sImg;
}

//echo "<pre>";
//print_r($a_o_ArArqueoDetalleDepositoBN);
//echo "</pre>";

?>

<input type="hidden" id="sortCampos" size="100" value="<?=$valuesSort['sortCampos']?>">
<input type="hidden" id="sortType" size="100" value="<?=$valuesSort['sortType']?>">
      <table class="marco" border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td height="17" align="right" class="pager">
            <div id="contenedor">
              <? $o_navigation->ContruirHTMLNavigation('contenedor', $strConcat); ?>
            </div>
          </td>
        </tr>
        <tr>
          <td>
            <table class="grid" width="100%" border="0" cellpadding="0" cellspacing="0">
              <tr height="23">
               <th width="3%" >Nro</th>
				
                <th>Sucursal&nbsp;&nbsp;&nbsp;</th>
                <th>Mercado&nbsp;&nbsp;&nbsp;</th>
				<th width="9%" >Banco</th>
				<th width="9%" >Cuenta banco</th>
				<th width="9%">Fecha Trx.</th>
				<th width="9%" >Numero de operacion</th>
				<th width="9%" >Fecha de operacion</th>
				<th width="5%" >Monto</th>
				<th width="5%" >Nro Pre.</th>
                <th width="5%" >Cod Cli</th>
			    <th width="15%" >Cliente&nbsp;&nbsp;&nbsp;</th>
			    <th width="9%" >F. registro</th>
				<th width="9%" >U. registro</th>
			    <!--<th width="9%" >Documento</th>
			    <th width="8%" >Celular&nbsp;</th>
			   
			   
			
                <th width="8%" id="col01" onMouseOver="sort_col(this);" >U.Registro.</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >F.Registro.</th>
                <th width="12%" id="col01" onMouseOver="sort_col(this);" >F.Conversion.</th>-->
				
				
              
                <th width="5%">&nbsp;</th>
              </tr>
              <? if(count($a_o_ArArqueoDetalleDepositoBN)>0){ ?>
              <? foreach ($a_o_ArArqueoDetalleDepositoBN as $iKey => $o_objBean){ 
              $o_MercadoBean = new MercadoBean();
              $o_MercadoBean->setIdMercado($o_objBean->getIdMercado());
              $o_MercadoDP = new MercadoDP($o_MercadoBean);
	          $a_o_Mercado = $o_MercadoDP->select();
	          if(is_array($a_o_Mercado) && count($a_o_Mercado)){
	            $o_Mercado = $a_o_Mercado[0];
	            $descripcionMercado = $o_Mercado->getDescripcion();
              }
              
              $o_SucursalMercadoBean = new SucursalMercadoBean();
              $o_SucursalMercadoBean->setIdMercado($o_objBean->getIdMercado());
              $o_SucursalMercadoDP = new SucursalMercadoDP($o_SucursalMercadoBean);
	          $a_o_SucursalMercadoDP = $o_SucursalMercadoDP->select();
	          
	          if(is_array($a_o_SucursalMercadoDP) && count($a_o_SucursalMercadoDP)){
	            $o_SucursalMercadoDP = $a_o_SucursalMercadoDP[0];
	            $IdSucursal = $o_SucursalMercadoDP->getIdSucursal();
	            
	            $o_SucursalBean = new SucursalBean();
                $o_SucursalBean->setIdSucursal($IdSucursal);
                $o_SucursalDP = new SucursalDP($o_SucursalBean);
    	        $a_o_Sucursal = $o_SucursalDP->select();
    	        if(is_array($a_o_Sucursal) && count($a_o_Sucursal)){
    	            $o_Sucursal = $a_o_Sucursal[0];
    	            $descripcionSucursal = $o_Sucursal->getDescripcion();
                }
              }
	            /*echo "<pre>";
                print_r($a_o_Mercado);
                echo "</pre>";*/
	          ?>
              <tr onClick="TR_click(this);">
               <td class="chk"><?=($tamanioPag)*($page-1)+($iKey+1)?></td>
			   
               <td align="center"><?=$descripcionSucursal?></td>
               <td align="center"><?=$descripcionMercado;?></td>
			   <td align="center"><?=$o_objBean->getBanco()?></td>
			   <td align="center"><?=$o_objBean->getNumerocuenta()?></td>
			   <td align="center"><?=$o_objBean->getFecha()?></td>
			   <td align="center"><?=$o_objBean->getNumeroboucher()?></td>
			   <td align="center"><?=$o_objBean->getFechadeposito()?></td>
			   <td align="center"><?=$o_objBean->getSubtotal()?></td>
			    <td align="center"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/pre/estado_cuenta/id/'.$o_objBean->getIdPrestamo());?>',{title:'',width:990,height:630})"><?=$o_objBean->getIdPrestamo()?></a></td>
               <td align="center"><a style="cursor:pointer;text-decoration:underline;color:#00f;" href="#" onclick="objMainTab.modalDialog('<?php echo buildUrlComplet( 'op.php/ajax/requestPdo', 's_TypeRequest=infopopupprestamo&i_idcliente='.$o_objBean->getIdCliente().'&s_tipo=' )?>',{width:950,height:400})"><?=$o_objBean->getIdCliente()?></a></td>
                <td><?=mb_strtoupper($o_objBean->getNombrecliente())?></td>
                <td align="center"><?=$o_objBean->getFecharegistro()?></td>
			   <td align="center"><?=$o_objBean->getUsuarioregistro()?></td>
               
                <td align="center" valign="top">
                    
                   <img src="/images/common/buttons/btnReview.gif" title="Mostrar" style="cursor:pointer;" onclick="parent.objMainTab.modalDialog('<?=buildUrlComplet('mnt.php/cli/show/id/'.$o_objBean->getIdCliente());?>','block=001')">&nbsp;
				  
                </td>
              </tr>
              <? } ?>
              <? }else{ ?>
              <tr>
                <td colspan="7" align="center">No se produjo resultado</td>
              </tr>
              <? } ?>
            </table>
          </td>
        </tr>
        <tr>
          <td>Total Registros: <?php echo $totalreg;?> :: Suma <b><?php echo number_format($sumareg,2);?></b></td>
        </tr>
      </table>